import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {StorageModule} from '../tools/storage/storage.module';
import {ParamConfigModule} from '../system/param-config/param-config.module';
import {ProjectModule} from '../project/project.module';
import {ProjectEntity} from '../project/project.entity';
import {BabyRecordEntity} from "~/modules/baby_record/baby_record.entity";
import {BabyRecordService} from "~/modules/baby_record/baby_record.service";
import {BabyRecordController} from "~/modules/baby_record/baby_record.controller";

@Module({
    imports: [
        TypeOrmModule.forFeature([BabyRecordEntity,]),
        ParamConfigModule,
        StorageModule,
        ProjectModule
    ],
    controllers: [BabyRecordController],
    providers: [BabyRecordService]
})
export class BabyRecordModule {
}
